Home

# Class goog.string.html.HtmlSanitizer

An implementation of the {@code goog.string.HtmlSaxHandler} interface that will take each of the html tags and sanitize it.

extends goog.string.html.HtmlSaxHandler

Instance Method Summary
| `cdata(string text)` Handler called when CDATA is found.
| `endDoc()` Handler called when the parsing is done.
| `endTag(string name)` Handler called when the parser found a closing tag.
| `escapeAttrib_(string s) ⇒ string` Escapes HTML special characters in attribute values as HTML entities. TODO(user): use {@code goog.string.htmlEscape} instead ?
| `pcdata(string text)` Handler called when PCDATA is found.
| `rcdata(string text)` Handler called when RCDATA is found.
| `sanitizeAttributes_(string tagName, ?Array.<(null|string)> attribs) ⇒ ?Array.<(null|string)>` Sanitizes attributes found on html entities.
| `startDoc()` Handler called when the parser is starting to parse the document.
| `startTag(string name, ?Array.<string> attributes)` Handler called when the parser found a new tag.